add_note
curl --request POST \
--url https://rest.hotfix.jobs/v1/employer/applications/{application_id}/notes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"body": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({body: JSON.stringify('<string>')})
};
fetch('https://rest.hotfix.jobs/v1/employer/applications/{application_id}/notes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://rest.hotfix.jobs/v1/employer/applications/{application_id}/notes"
payload = { "body": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": "0fedcba9-8765-4321-0abc-def012345678",
"body": "Strong systems work. Loop in Alex for the next round.",
"author_user_id": "user_2abc",
"mine": true,
"created_at": "2026-09-21T15:04:05+00:00",
"updated_at": "2026-09-21T15:04:05+00:00"
}Applications
add_note
Add a markdown note on one application. Attributed to the caller. Does not send email. MCP tool: add_note.
POST
/
v1
/
employer
/
applications
/
{application_id}
/
notes
add_note
curl --request POST \
--url https://rest.hotfix.jobs/v1/employer/applications/{application_id}/notes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"body": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({body: JSON.stringify('<string>')})
};
fetch('https://rest.hotfix.jobs/v1/employer/applications/{application_id}/notes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://rest.hotfix.jobs/v1/employer/applications/{application_id}/notes"
payload = { "body": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": "0fedcba9-8765-4321-0abc-def012345678",
"body": "Strong systems work. Loop in Alex for the next round.",
"author_user_id": "user_2abc",
"mine": true,
"created_at": "2026-09-21T15:04:05+00:00",
"updated_at": "2026-09-21T15:04:05+00:00"
}